# DSA2D Namespace Reference

## Functions
def | initWindow
| init the main window of DSA2D.
def | initModule
| init Module set the initial settings of some sub macroModule
def | sendQuery
| send a query to the Database and return the result set
def | newImageName
| When user specify a new image, retrieve the DicomTag values.
def | saveToFile
| save the image to a file
def | getFileName
| get the formatted FileName: MRO(time)
def | saveToDB
| save the image to DB
def | clickOkOnSaveImgW
| the callback function executed when user clicks approval and finish on SaveImage dialog
def | clickCancelOnSaveImgW
| the Callback function executed when user clicks Cancel on SaveImage dialog the SetPageExt input will be disconnect from the ImageLoad and window is closed.
def | help
| show help
def | cleanUp
| function holder to clean up DSA2D
## Variables
string | filename = ""
| Global varibles.

## Detailed Description

    * Copyright (c) 2009 Stanford University, School of Medicine All rights reserved.
    *
    * STANFORD ACADEMIC SOFTWARE LICENSE AGREEMENT
    * FOR AngioLocalize SOURCE CODE:
    *
    * 1.  This is a legal agreement between you, RECIPIENT, and STANFORD UNIVERSITY.
    *       By accepting, receiving, and using AngioLocalize.including any accompanying information, materials or
    *       manuals (Program), you are agreeing to be bound by the terms of this Agreement.
    *       If you do not agree to the terms of this Agreement, promptly return the Program to the STANFORD.

    * 2.  STANFORD grants to RECIPIENT a royalty-free, nonexclusive, and nontransferable license to use the Program
    *       and accompanying source code furnished hereunder, upon the terms and conditions set out below.
    *       documentation and/or other materials provided with the distribution.
    * 3.  RECIPIENT acknowledges that the Program is a research tool still in the development stage and that
    *       it is being supplied as is, without any accompanying services, support or improvements from STANFORD.
    * 4.  RECIPIENT agrees to use the Program solely for internal non-commercial purposes.
    * 5.  RECIPIENT may create derivatives and further transfer the Program under the following terms and conditions:
    *        A) Recipient agrees to not commercially exploit the Program and agrees all uses will be for non-commercial purposes; and,
    *        B) Recipient may not mark any derivatives with the title of Program and may not to use iPad mark for any derivatives; and,
    *        C) Recipient agrees to mark and acknowledge all derivatives as follows: "This is a derivative work based on AngioLocalize:
    *           Frameless AVM localization with 2D Digital Subtraction Angiography (DSA) and 3D Rotational Angiography (DRA) Images developed
    *           by Dimitre Hristov, Lina Liu.
    *        D) Recipient agrees to make all improvements, enhancements and derivatives available under
    *           similar terms and conditions to the research community.
    * 6.   RECIPIENT warrants that RECIPIENT will not remove or export any part of the software or Program from the United
    *       States except in full compliance with all United States and other applicable laws and regulations.
    * 7.  RECIPIENT will use the Program in compliance with all applicable laws, policies and regulations including, but not
    *       limited to, any approvals, informed consent and patient confidentiality principles.
    * 8.   RECIPIENT will indemnify, hold harmless, and defend Stanford against any claim of any kind arising out of or
    *       related to the exercise of any rights granted under this Agreement or the breach of this Agreement by RECIPIENT.
    * 9.  Title and copyright to the Program and any associated documentation shall at all times remain with STANFORD,
    *       and RECIPIENT agrees to preserve same.

## Function Documentation

def DSA2D::clickCancelOnSaveImgW | ( |  | ) |

the Callback function executed when user clicks Cancel on SaveImage dialog the SetPageExt input will be disconnect from the ImageLoad and window is closed.

Definition at line 191 of file DSA2D.py.

def DSA2D::initWindow | ( |  | ) |

init the main window of DSA2D.

hard coded the directory to browse and set the patient information

Definition at line 56 of file DSA2D.py.

def DSA2D::newImageName | ( |  | ) |

When user specify a new image, retrieve the DicomTag values.

Definition at line 90 of file DSA2D.py.

All Classes Namespaces Files Functions Variables Enumerator Friends